/v1/flows/{flowId}/versions (POST)
POST
/v1/flows/{flowId}/versions
const url = 'https://service.v2.nairon.xyz/v1/flows/example/versions';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"flowSchema":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://service.v2.nairon.xyz/v1/flows/example/versions \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "flowSchema": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”flowId
required
string format: cuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
flowSchema
required
Examplegenerated
{ "flowSchema": "example"}Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
Examplegenerated
{ "id": "example", "flowId": "example", "version": 1, "tag": "example", "flowSchema": "example", "isActive": true, "createdAt": "example", "updatedAt": "example"}